//***************************************************************************************
// CODE Definition Area
//***************************************************************************************
int main()
{
  //
  // Initialize System 
  //    
  System_Initial();

  //
  // IO Setting 
  // - Parameter1: 0 => Set PortA[15:8]
  //               1 => Set PortB[15:0]
  //               the others => Set PortC[7:0]
  // - Parameter2: Writing '1' to corresponding bits to set IO pins
  //
  Setting_IO_InputPullLow(0, 0x0F00);                      // Set IOA[11:8] as input with pull low
  Setting_IO_InputPullHigh(0, 0xF000);                     // Set IOA[15:12] as input with pull high     
  Setting_IO_OutputLow(1, 0x000F);                         // Set IOB[3:0] as output low
  Setting_IO_OutputHigh(1, 0x00F0);                        // Set IOB[7:4] as output high
  Setting_IO_OutputHigh_with_data_inverted(1, 0x0F00);     // Set IOB[11:8] as output high with data inverted 
  Setting_IO_OutputLow_with_data_inverted(1, 0xF000);      // Set IOB[15:12] as output low with data inverted  
  Setting_IO_InputFloat(2, 0x00FF);                        // Set IOC[7:0] as input with float

  while(1) {WatchdogClear();}
  return 0;
}
