//***************************************************************************************
// CODE Definition Area
//***************************************************************************************
int main()
{
  //
  // Initialize System 
  //    
  System_Initial();

  //
  // IO Setting 
  // - Parameter1: 0 => Set Port A
  //               the others => Set Port B
  // - Parameter2: Writing '1' to corresponding bits to set IO pins
  //
  Setting_IO_OutputLow(0, 0x000F);                         // Set IOA[3:0] as output low
  Setting_IO_OutputHigh(0, 0x00F0);                        // Set IOA[7:4] as output high
  Setting_IO_OutputHigh_with_data_inverted(0, 0x0F00);     // Set IOA[11:8] as output high with data inverted 
  Setting_IO_OutputLow_with_data_inverted(0, 0xF000);      // Set IOA[15:12] as output low with data inverted  
  Setting_IO_InputFloat(1, 0x00FF);                        // Set IOB[7:0] as input with float
  Setting_IO_InputPullLow(1, 0x0F00);                      // Set IOB[11:8] as input with pull low
  Setting_IO_InputPullHigh(1, 0xF000);                     // Set IOB[15:12] as input with pull high  

  while(1) {WatchdogClear();}

  return 0;
}
