//==========================================================================
// Description: Example code of external interrupt
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************
#define FIQ_ON()    asm("FIQ ON;")

//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************
int main()
{
    *P_IOB_Dir = 0x0000;        // Set PortB as input pull low
    *P_IOB_Attrib = 0x0000;
    *P_IOB_Data = 0x0000;

    *P_MINT_Ctrl |= C_EXTA_RisingEdge | C_EXTA_IntEn;  // Enable external interrupt A(IOB.8), rising edge triggered
    *P_INT_Priority1 |= C_INT_EXTA; // Set external interrupt A as FIQ 

    FIQ_ON();                   // Trun on FIQ 

    while (1)
    {
	
    }

    return 0;
}
