//==========================================================================
// Description: Example code of bit, nibble, and byte swap operations
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************

//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************

//**************************************************************************
// Main Program
//**************************************************************************
int main()
{
    unsigned int temp, result;

    *P_Byte_Swap = 0xFA50;          // [B15:B0] -> [B7:B0, B15:B8]
    *P_Nibble_Swap = 0xFA50;        // [B15:B0] -> [B11:B8, B15:B12, B3:B0, B7:B4]
    *P_TwoBit_Swap = 0x6996;        // [B15:B0] -> [B13:B12, B15:B14, B9:B8, B11:B10, B5:B4, B7:B6, B1:B0, B3:B2]
    *P_Bit_Reverse = 0xFA50;        // [B15:B0] -> [B0:B15]

    result = 0;

    temp = *P_Byte_Swap;
    if (temp == 0x50FA)
    {
        result |= 0x0001;	
    }

    temp = *P_Nibble_Swap;
    if (temp == 0xAF05)
    {
        result |= 0x0002;
    }

    temp = *P_TwoBit_Swap;
    if (temp == 0x9669)
    {
        result |= 0x0004;
    }

    temp = *P_Bit_Reverse;
    if (temp == 0x0A5F)
    {
        result |= 0x0008;
    }

	
    while (1)
    {

    }

    return 0;
}




