//=============================================================================
// Program: Calculate the sum from 1 to 100 V1.1
// Plateform : SPCE 500A, IDE 1.63 Windows 2000
// By Andy
// Modified by Arthur Shieh
//
// Date: 2000/07/25 V1.0
//       2002/09/29 V1.1: Split hardware.asm into the spce500.inc and move I/O APIs to 
//                        key.asm. 
//
// Note: 
// Input: None
// Output: [sum] = 5050(Decimal) of 13BA(Hexadecimal) 
//=============================================================================

.RAM								// psudeo code for RAM section define
.var	R_Sum;						// define a RAM space for saving result

.CODE								// psudeo code for code section define
.public _main;						// define this if using assembly only
_main:								//

		r1 = 0x0001;				// r1=[1..100]
		r2 = 0x0000;				// temperary register
L_SumLoop:	
		r2 += r1;					// accumulate value to r2
		r1 += 1;					// next number
		cmp	r1,100;					// check the value get to 100?
		jna	L_SumLoop;				// go back if r1 <= 100 (jna: jump if not great)
		
		[R_Sum] = r2;				// save final result
	
L_ProgramEndLoop:					// dead loop for program end
		jmp	L_ProgramEndLoop;		//
	
//=============================================================================
// End of sum.asm
//=============================================================================	