/*****************************************************************************/
// Program: LED Display using Port IOB  V1.1
// Plateform : SPCE 500, IDE 1.63 Windows 2000
// By Andy
// Modified by Arthur Shieh
//
// Date: 2000/07/25 V1.0
//       2002/09/29 V1.1: Split hardware.asm into the spce500.inc and move I/O APIs to 
//                        key.asm. All SACm inital codes are removed from hardware.asm
//
// Note: 
//        1.Use external Circuit on port IOB[15..0] - 15 LEDs connected to GND
//        2.This display will show numbers on IOB incrementing from 0. 
/*****************************************************************************/
#include "spce.h"
#include "sp_lib.h"

void Delay(){
	unsigned int i;
	for(i=0; i<32768; i++){
	}	
}

int main(){
	int LedCounter=0;
	int Temp;
	
				//Dir, Data, Attrib		
	SP_Init_IOB(0xffff,0xffff,0xffff); 		// Set Port IOB to be output buffer
												// (defined in hardware.asm)
	while(1){
		SP_Export(P_IOB_Data,LedCounter);	// Send counter value to IOB
		LedCounter ++;							// (defined in hardware.asm)
		Delay();		
	}
}	


	
