//========================================================================================
// Progarm: SPCE port definition V1.0
// Writen by: Arthur Shieh
//
// Last modified date: 
// 		2002/09/27: first version
// Note: This asm file defines the ports available for user to use SPCE 500.
//       The port setting constants is also included for users' convenience. 
//========================================================================================
.include spce.inc

.IRAM
.public	R_InterruptStatus;	
.VAR	R_InterruptStatus = 0;					// for feature using, not necessary for SPCE061				
////////////////////////////////////////////////////
// Note: This register will map to the P_INT_Ctrl
//	(0x7010), The SACMvxx.lib use this register to
//	combine with user's interrupt setting.
//  In SPCE061, it is not necessary since the 
//  P_INT_Mask(0x702D) already does this. It is for 
//  compatibility to keep it here. 
//////////////////////////////////////////////////
  
              
//========================================================================================        
// End of SPCE.asm
//========================================================================================



        
        
        