/***************************************************************************************** 
Sleep Mode Demo V1.1
Description: This program enters sleep mode as soon as it initialize the system setting.
             Before it enters sleep mode, it activates the interrupt service of IRQ3 
             for key wake up function. When user pull high with any pin of IOA0~7, 
             program wakes up immediately and back to sunction.By Arthur Shieh
             

Platform: SPCE 500/061,IDE 1.631 Windows 2000 
Written by Arthur Shieh

Date: 	2000/06/30	:First version
        2002/09/29 V1.1 : Split hardware.asm into the spce500.inc and SP_Lib.asm 
                          rearrange and comment the program   

Note:		
	User Function call:
	System_Initial();		For Hardware, Keyboard scan, see hardware.asm in detail
	System_ServiceLoop();	For Keyboard scan, see key.asm in detail


	Key Function call:
	int SP_GetCh();		
	Return values of SP_GetCh() : {0x00,0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80}
 
*****************************************************************************************/
	
int main(){
   
    int i;

    System_Initial();
	while(1) {
		Hardware_Sleep();	// Enter sleep mode
	}
	
	return 0;
}