//////////////////////////////////////////////////////////////////
// Function: Generate IRQ5_Ext1, IRQ5_Ext2
// 			 Different frequeny pulses will generate on IOA ports
//			 IOA 0~7 : Ext1
//			 IOA 8~15 : Ext2
//			 Input external trigger waves to IOB6(Ext1), IOB7(Ext2)
//	
// By Rison Lo
// Platform: SPU32,unSP IDE 1.65, Windows 2000
// Date: 	2003.06.02	:First version
//
//
//////////////////////////////////////////////////////////////////

.include spf32.inc;

.public R_OutMask;

.RAM
.VAR R_OutMask;

.CODE   
.public _main;
_main:

	INT OFF;
	
	R1 = 0x0067;
	[P_IO_Mode] = R1;		// IOA:General I/O, IOB:Special functions
	
	R1 = 0xffff; 
	[P_IOA_Attrib] = R1;
	[P_IOA_Dir] = R1;
	[P_IOA_Data] = R1;
	
	R1 = 0xffff;
	[P_IOB_Attrib] = R1;
	[P_IOB_Data] = R1;
	R1 = 0x0000;
	[P_IOB_Dir] = R1;
	
	R1 = 0xffff;
	[P_IOC_Attrib] = R1;
	[P_IOC_Dir] = R1;
	[P_IOC_Data] = R1;	

	R1 = 0x1200; 			// Enable IRQ5_Ext1, IRQ5_Ext2
	[P_INT_Ctrl] = R1;			
	
	R1 = 0;
	[R_OutMask] = R1;
	
	INT IRQ;
    
Loop:
	NOP;
	NOP;
	NOP;
	NOP;
	JMP Loop;