///////////////////////////////////////////////////////////////////////////////
// Program: watchdog.asm V1 -- WatchDog test
// By Rison Lo
// Platform: SPF32,IDE 1.65 Windows 2000 
// Date: 	
//	2003.05.29	V1.0: First version
//
//
// Functions:
// _WatchDogTest;
//
//
///////////////////////////////////////////////////////////////////////////////

.include spf32.inc

.PUBLIC _WatchDogTest;
.PUBLIC F_WatchDogTest;

.TEXT

_WatchDogTest:.PROC
F_WatchDogTest:

	INT off;
	
	R1 = 0x0000;
	[P_INT_Ctrl] = R1;
	
	R1 = 0x55aa;
	[P_Watchdog_Clear] = R1;

	R2 = 0x0000;
	R3 = 0x001F;
L_WaitWatchDogHappen:
	R1 = R4;
	NOP;
	NOP;
	NOP;
	R2 = R2-1;
	JNZ L_WaitWatchDogHappen;
	R3 = R3-1;
	JNZ L_WaitWatchDogHappen;
	R1 = 0x8005;					// watch dog fail
	RETF;
	.ENDP