#ifndef	__SPUDRV_H__
#define	__SPUDRV_H__
//	write your header here

// Defined R_SPU_Status BITS, same as those defined in SPUDRV.ASM
#define	STS_MIDI_PLAY		0x0001	// SPU Status
#define STS_MIDI_CALLBACK	0x0100	// MIDI stop call back routine has been initiated
#define STS_MIDI_REPEAT_ON	0x0200	// MIDI play back continuously
#define STS_MIDI_PAUSE_ON	0x0400	// MIDI Pause flag

// Define MIDI playing mode here
#define SS_PLAYMIDI_ONCE		0x00		// Play MIDI SEQ once
#define SS_PLAYMIDI_INFINITY	0x01		// Play MIDI SEQ repeatly


// SPG100 SPU l
extern void InitSPU();

// w}MIDI
extern void PlayMidi( unsigned short iSeg, unsigned short iOffset, short iPlayMode);
// MIDI
extern void StopMidi();
extern void PauseMidi();
extern void ResumeMidi();
////
// վMIDI񪺭q, Ʀrq 0 .. 127
extern void SetMidiVolumn( short iVolumn);

// lMIDIDriverݩIsϥΪ̩wq禡
extern void _InitMidiStopCallBackFunc( void *);
//  MIDIDriverݩIsϥΪ̩wq禡\
extern void _DisableMidiStopCallBackFunc();


// w}PCM/DRM, ^ǭ : tΤtqD(0..15)
extern int TM_PlayPCM( unsigned short iSeg, unsigned short iOffset, short iPan, short iVol);
// iPan 0..127 : 0 nDon, knDon; 127 knDon, nDon; 64 knDon
// iPan pPT˸mBALANCE۶s, q0127, n|ѷ췥k
// iVol : 0..127 
extern void TM_StopPCM( short iChannelNo);

// իwqDO_L
extern int IsChannelStop( short iChannelNo);	// 1:True, 0:False
// wW
extern void TM_PlayTone( short BasePitch, short PlayPitch, unsigned short iSeg, unsigned short iOffset);

// oSPUA
extern unsigned short GetSPUStatus();

// oثeϥΤqDAWORD[B15..B0]   ; BIT 1 ϥΤ,  BIT 0 Ŷ
// iBank = 0 ,  0..15 channel; iBank = 1, 16..31
extern unsigned short GetChannelStatus( short iBank);

// Ұʥ~DAC\ SPF32 only
extern void EnableExtDAC();
#endif
