/* ========================================================================= */
/* The information contained herein is the exclusive property of             */
/* Sunplus Technology Co. And shall not be distributed, reproduced,          */
/* or disclosed in whole in part without prior written permission.           */
/*             (C) COPYRIGHT 2001 SUNPLUS TECHNOLOGY CO.                     */
/*                    ALL RIGHTS RESERVED                                    */
/* The entire notice above must be reproduced on all authorized copies.      */
/* ========================================================================= */
/* File Name   : Spmc75_main.c											     */	
/* Description : main entry function of C programming					     */
/* Processor   : SPMC75X series											     */	
/* Author      : Chih ming Huang										     */
/* Tools	   : u'nSP IDE tools v2.0A or later version				     	 */
/* Version     : 1.00 													     */	
/* Security    : Confidential Proprietary 							         */
/* E-Mail      : MaxHuang@sunplus.com.tw								     */
/* ========================================================================= */
/* Environemnts of this demo:												 */								
/* HW : SPMC75F2313A EVM board V1.0											 */
/* SW : u'nSP IDE V2.0A, Windows XP 										 */
/* ========================================================================= */
#include "unspmacro.h"
#include "spmc_typedef.h"
#include "spmc75f2313a.h"

int main(void)
{
	Disable_FIQ_IRQ();
//
	P_IOB_Dir->W = 0x3FC0;				// IOB[13:6] = output
	P_IOB_Attrib->W = 0xFFFF;			// normal attribute

	for(;;)
	{
		P_IOB_Data->B.bit6 = P_IOA_Data->B.bit2;

		P_IOB_Data->B.bit7 = P_IOA_Data->B.bit3;

		P_IOB_Data->B.bit8 = P_IOA_Data->B.bit4;

		P_IOB_Data->B.bit9 = P_IOA_Data->B.bit5;

		P_IOB_Data->B.bit10 = P_IOA_Data->B.bit6;

		P_IOB_Data->B.bit11 = P_IOA_Data->B.bit7;

		P_IOB_Data->B.bit12 = P_IOA_Data->B.bit9;

		P_IOB_Data->B.bit13 = P_IOA_Data->B.bit10;
	}

	return (1);
} /* main() */