/* ========================================================================= */
/* The information contained herein is the exclusive property of             */
/* Sunplus Technology Co. And shall not be distributed, reproduced,          */
/* or disclosed in whole in part without prior written permission.           */
/*             (C) COPYRIGHT 2001 SUNPLUS TECHNOLOGY CO.                     */
/*                    ALL RIGHTS RESERVED                                    */
/* The entire notice above must be reproduced on all authorized copies.      */
/* ========================================================================= */
/* File Name   : Spmc75_main.c											     */	
/* Description : main entry function of C programming					     */
/* Processor   : SPMC75X series											     */	
/* Author      : Chih ming Huang										     */
/* Tools	   : u'nSP IDE tools v2.0A or later version					     */
/* Version     : 1.00 													     */	
/* Security    : Confidential Proprietary 							         */
/* E-Mail      : MaxHuang@sunplus.com.tw								     */
/* ========================================================================= */
/* Environemnts of this demo:												 */								
/* HW : SPMC75F2413A EVM Board V1.2									 		 */
/* SW : u'nSP IDE V2.0A, Windows XP 										 */
/* ========================================================================= */

#include "Spmc75f2413A.h"
#include "unspmacro.h"

UInt16 iii = 0;

int main(void)
{
	UInt16 i = 0;
	
	Disable_FIQ_IRQ();
//
	P_IOB_Dir->B.bit12 = 1;								/* use IOB12 = RCLK */
	P_SPI_Ctrl->W = 0x8020;
//
	for(;;)
	{
		Display_Number(iii);
		
		for(i = 0; i < 0x1000; i++);						  /* software delay */
		{
			if(++iii > 9999)
				iii = 0;
		}		
	}

	return (1);
} /* main() */

