//main.c

#include "ParamDef.h"
#include "unspmacro.h"
#include "SPMC75F2413A.h"
#define Key_Source 	1 << Key_Source_Bit

int main()
{
	Disable_FIQ_IRQ();
	
	/* IO Init */
	P_IOA_SPE->W = 0x0000;	
	P_IOA_Dir->W = 0x0000;
	P_IOA_Attrib->W = 0x0000;
	P_IOA_Data->W = 0x0000;	
	P_IOA_KCER->W = Key_Source;					// Key change enable
	
	P_IOD_Attrib->W = 0x00ff;
	P_IOD_Data->W = 0x0000;
	P_IOD_Dir->W = 0x00ff;
	
	for(;;)
	{	
		P_IOA_Latch->W = P_IOA_Latch->W;		// Read P_IOA_Latch to latch the state of key source
		
		while(!P_INT_Status->B.KEYIF);			// Wait for the key-change interrupt flag being set
		P_INT_Status->B.KEYIF = 1;				// Clear interrrupt flag
		
		P_IOD_Data->W ^= 0x00ff;				// when key change occurs, States of PD[7:0] will change  
	}	

	return 1;
}
