//***************************************************************************************
// Header File Included Area
//***************************************************************************************
.include GPCE001.inc
.include Play_PCM.inc


//***************************************************************************************
// Function Call Publication Area
//***************************************************************************************
.public _BREAK;
.public _FIQ;
.public _IRQ0;
.public _IRQ1;
.public _IRQ2;
.public _IRQ3;
.public _IRQ4;
.public _IRQ5;
.public _IRQ6;
.public _IRQ7;


//***************************************************************************************
// RAM Definition Area
//***************************************************************************************
.RAM


//***************************************************************************************
// CODE Definition Area
//***************************************************************************************
.TEXT

_BREAK:
	//add your code here

	reti;


_FIQ:
    push R1, R5 to [SP];

	R1 = [P_INT_Status];
	test R1, C_IRQ0_TMA;
	jnz L_FIQ_TimerA;
	test R1, C_IRQ1_TMB;
	jnz L_FIQ_TimerB;
	jmp L_FIQ_TimerC;

L_FIQ_TimerA:
    call F_ISR_Service_PCM;
    
    R1 = C_IRQ0_TMA;
    [P_INT_Status] = R1;
    pop R1, R5 from [sp];
    reti;    

L_FIQ_TimerB:

    R1 = C_IRQ1_TMB;
    [P_INT_Status] = R1;
    pop R1, R5 from [sp];
    reti;

L_FIQ_TimerC:

    R1 = C_IRQ2_TMC;
    [P_INT_Status] = R1;
    pop R1, R5 from [sp];
    reti;	

_IRQ0:
	//add your code here

	reti;


_IRQ1:
	//add your code here

	reti;


_IRQ2:
	//add your code here

	reti;


_IRQ3:
	//add your code here

	reti;


_IRQ4:
	//add your code here

	reti;


_IRQ5:
	//add your code here

	reti;


_IRQ6:
	//add your code here

	reti;


_IRQ7:
	//add your code here

	reti;

