//***************************************************************************************
// CODE Definition Area
//***************************************************************************************
int main()
{ 	   
  System_Initial();          // Initialize System 
  
  IO_Feadback_Test_Init();  
  
  while(1) {
  	System_ServiceLoop();
  	switch (SP_GetCh())
  	{
      case 0x0100:           // Key1: IOA[8]. Initialize Feedback_Ext1
        IO_Feedback_Ext1_Initial();
        break;
        
      case 0x0200:           // Key2: IOA[9]. Initialize Feedback_Ext2  
        IO_Feedback_Ext2_Initial();
        break;    
        
      case 0x4000:           // Key3: IOA[14]. Initialize IRQ0_TMA. Clock source from EXT2.
        IO_Feedback_Ext2_Initial();
        IRQ0_TMA_EXT2_Init();
        break;             
        
      default:
        break; 	
  	}	
  }

  return 0;
}
