//***************************************************************************************
// CODE Definition Area
//***************************************************************************************
int main()
{  
  System_Initial();                    // Initialize System  
  
  //        
  // Initialize PWM
  // - Parameter1 = 1: Select TimerA as clock source
  //              = 2: Select TimerB as clock source
  //              = 3: Select TimerC as clock source
  //              = the others: Select FRTC/2 as clock source
  //    
  PWM_Initial(1);
  
  while(1) {
  	System_ServiceLoop();
  	switch (SP_GetCh())
  	{  	    
  	  case 0x0002: 
  	    Set_PWM_Duty(0);               // PWM Off  	    
  	    break;    
  	    
  	  case 0x0004: 
  	    Set_PWM_Duty(1);               // 1/16 duty 	    
  	    break;  	    

  	  case 0x0008: 
  	    Set_PWM_Duty(4);               // 4/16 duty   	    
  	    break;  	    	

  	  case 0x0010: 
  	    Set_PWM_Duty(8);               // 8/16 duty    	    
  	    break;
  	    
  	  case 0x0020: 
  	    Set_PWM_Duty(11);              // 11/16 duty  	    
  	    break;
  	    
  	  case 0x0040: 
  	    Set_PWM_Duty(14);              // 14/16 duty   	    
  	    break;  

  	  case 0x0080: 
  	    Set_PWM_Duty(15);              // 1/2 duty  	    
  	    break;  	    	    

      default:
        break;  
  	}	      
  }

  return 0;
}
