//
// example This program show to memoroy management API
// author: Taiyun Wang 
// date:2003/2/22
///////////////////////////////////////////////////////////////////////////
#include "sposvar.h"
#include "spos.h"

int taskerr;						//Error No
int t1stack[25];					//Task 1 stack
int t2stack[25];					//Task 2 stack
int t3stack[25];					//Task 3 stack
int MemPart[6][8];					//Partition
HMem pmem;							//Memory control block data structure pointer
main()
{
	void Task();
	unsigned int   err;
	int *a;
	SpSInit();
	pmem = SpSMemCreate(MemPart,6,8,&err);	//Create memory control block
	taskerr = SpSTaskCreate(&Task,0,t1stack+24,1);	//Create first task
	taskerr = SpSTaskCreate(&Task,0,t2stack+24,2);	//Create second task
	taskerr = SpSTaskCreate(&Task,0,t3stack+24,3);	//Create third task
	SpSStart();
}
void Task()
{
	int *a,*b,*c;
	int err;
	a=(int*)SpSMemGet(pmem);				//Obtaining a memory block
	if(a)
		*a = 1;
	b=(int*)SpSMemGet(pmem);				//Obtaining a memory block
	if(b)
		*b = 2;
	c=(int*)SpSMemGetWait(pmem,0,&err);		//Obtaining a memory block
	if(c)
		*c = 3;
	SpSTimeDly(5);
	SpSMemPut(pmem,(void*)a);
	SpSMemPut(pmem,(void*)b);
	SpSMemPut(pmem,(void*)c);
}											//default call SpSTaskExit
