/******************************************
** Mini OS 1.5.0 head file               **
** Mini OS 1.5.0 variable declare        ** 
** Author :Taylor Wang                   **
** Date   :2003/1/22                     **
*******************************************/
#ifndef	__SPOSVAR_H__
#define	__SPOSVAR_H__

#include "sposconfig.h"
#include "sysstruct.h"
const unsigned int maxTask      =  MAXTASK;
const unsigned int maxEvent     =  MAXEVENT;
const unsigned int maxQueue     =  MAXQUEUE;
const unsigned int maxIntFunc   =  MAXIFT;
const unsigned int maxMCB       =  MAXMCB;
//const unsigned int maxEventLog  =  MAXLOG;
const unsigned int sysStackSize = STACKSIZE;
//user define global variable
unsigned int OS_sysStack[STACKSIZE];		//system stack
TCB_struct   OS_TCB[MAXTASK];
ECB_struct   OS_ECB[MAXEVENT];
QCB_struct   OS_QCB[MAXQUEUE];
IFT_struct   OS_IFT[MAXIFT];
MCB_struct   OS_MCB[MAXMCB];
//EventLog     Os_Log[STACKSIZE];
#endif
