//==========================================================================
// Description: Example code of reading/writing SDRAM
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************

//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************
#define     P_SDRAM_Base        0x30000			// Far pointer
#define     P_SDRAM_0           (volatile unsigned int*)(P_SDRAM_Base + 0x00)
#define     P_SDRAM_1           (volatile unsigned int*)(P_SDRAM_Base + 0x01)
#define     P_SDRAM_2           (volatile unsigned int*)(P_SDRAM_Base + 0x02)
#define     P_SDRAM_3           (volatile unsigned int*)(P_SDRAM_Base + 0x03)


//**************************************************************************
// Main Program
//**************************************************************************
int main()
{
    int i;
    unsigned int a, b, c, d;

    i = 0;
    while (1)
    {
        *P_SDRAM_0 = i++;
        *P_SDRAM_1 = *P_SDRAM_0;
        *P_SDRAM_2 = *P_SDRAM_1;
        *P_SDRAM_3 = *P_SDRAM_1 + *P_SDRAM_2;
        a = *P_SDRAM_0;
        b = *P_SDRAM_1;
        c = *P_SDRAM_2;
        d = *P_SDRAM_3;
    }

    return 0;
}


