//==========================================================================
// Description: Example code of sleep and wake up
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************
#define IRQ_ON()    asm("IRQ ON;")
#define NOP()   	asm("nop;")

//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************

//**************************************************************************
// Main Program
//**************************************************************************
int main()
{
    unsigned int i;

    *P_Clock_Ctrl |= C_KeyChangeEnable;             // Enable key change interrupt
    *P_MINT_Ctrl = C_Key2_IntFlag | C_Key2_IntEn;   // Enable PortB.7 key change interrupt

    i = *P_IOB_Latch;                               // Latch wake up port data
    *P_SLEEP = C_EnterSleep;       
    NOP();
    NOP();
    NOP();
    NOP();
    NOP();
    NOP();

    while (1)
    {
	
    }

    return 0;
}


