//==========================================================================
// Description: Example code of TimerC PWM
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************
#define INT_OFF()   asm("INT OFF;")
#define SYS_CLK     96000000
//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************

//**************************************************************************
// Main Program
//**************************************************************************
int main()
{
    INT_OFF();                      // Turn off IRQ and FIQ

    *P_TimerC_Preload = 0x0000;     // Setup PWM frequency as SYS_CLK/2/65536
    *P_TimerC_CCP_Reg = 0x1000;     // IOB.4 will output a square wave with 1/16 duty
    *P_TimerC_CCP_Ctrl = C_PWM_En | C_PWM_NRO;    
    *P_TimerC_Ctrl = C_Timer_IntFlag | C_Timer_Enable | C_SRCB_1 | C_SRCA_SysClk_Div_2;  

    while (1)
    {
		
    }

    return 0;
}


