//==========================================================================
// Description: Example code of enable watchdog
// Writer:      Jason Huang
// Date:        2009/01/22
// Platform:    GPF16001A, unSP IDE V3.0.6, windows XP
// Version:     V1.1
//==========================================================================
//**************************************************************************
// Header File Included Area
//**************************************************************************
#include  "..\include\GPF16001A.h"

//**************************************************************************
// Contant Defintion Area
//**************************************************************************

//**************************************************************************
// Function Call Publication Area
//**************************************************************************

//**************************************************************************
// Global Variable Defintion Area
//**************************************************************************

//**************************************************************************
// Main Program
//**************************************************************************
int main()
{
    *P_WatchDog_Ctrl = C_WDT_Enable | C_WDT_Period_1s; 

    while (1)
    {
        *P_WatchDog_Clear = C_ClearWatchDog; // Clear watchdog timer
    }

    return 0;
}
