.include GPL169251.inc

.public _ChecksumTest

ChecksumTest: .section .code
_ChecksumTest:
	//M_UserRomChecksum
	r1 = 0
	r2 = 0
	push r3, r5 to [sp]
	r3 = C_UserRomPage0Start
L_ChecksumLoop1:
	cmp		r3, (C_UserRomPage0End + 1)
	jz		L_NextAreaChecksum1
	r4 = [r3++]
	r5 = r4 & 0x00FF
	r1 += r5
	jcc		L_AddHighByte1
	r2 += 1

L_AddHighByte1:
	r5 = r4 lsr 4
	r5 = r5 lsr 4
	r1 += r5	
	jcc		L_ChecksumLoop1
	r2 += 1
	jmp		L_ChecksumLoop1
	
L_NextAreaChecksum1:
	r3 = C_UserRomVectorStart
L_ChecksumLoop2:
	cmp		r3, (C_UserRomVectorEnd + 1)
	jz		L_NextAreaChecksum2
	r4 = [r3++]
	r5 = r4 & 0x00FF
	r1 += r5
	jcc		L_AddHighByte2
	r2 += 1

L_AddHighByte2:
	r5 = r4 lsr 4
	r5 = r5 lsr 4
	r1 += r5
	jcc		L_ChecksumLoop2
	r2 += 1
	jmp		L_ChecksumLoop2
	
L_NextAreaChecksum2:
	r3 = (C_UserRomPageNStart >> 16)
	ds = r3
	r3 = (C_UserRomPageNStart & 0xFFFF)
L_ChecksumLoop3:
	cmp		r3, ((C_UserRomPageNEnd & 0xFFFF) + 1)
	jnz		L_SkipCheckHighAddr
	r4 = ds
	cmp		r4, (C_UserRomPageNEnd >> 16)
	jz		L_EndChecksum
L_SkipCheckHighAddr:	
	r4 = ds:[r3++]
	r5 = r4 & 0x00FF
	r1 += r5
	jcc		L_AddHighByte3
	r2 += 1

L_AddHighByte3:
	r5 = r4 lsr 4
	r5 = r5 lsr 4
	r1 += r5
	jcc		L_ChecksumLoop3
	r2 += 1
	jmp		L_ChecksumLoop3
	
L_EndChecksum:	
	pop r3, r5 from [sp]
	retf