//////////////////////////////////////////////////////////////////
// Function: Generate IRQ6_4KHz,IRQ6_2KHz,IRQ6_1KHz
// 			 Different frequeny pulses will generate on IOA ports
//			 IOA 0~7 : 2KHz(4KHz/2)
//			 IOA 8~11 : 1KHz(2KHz/2)
//			 IOA 12~15 : 500Hz(1KHz/2) 	
//	
// By Rison Lo
// Platform: SPU32,unSP IDE 1.65, Windows 2000
// Date: 	2003.05.30	:First version
//
//
//////////////////////////////////////////////////////////////////

.include spf32.inc;

.public R_OutMask;

.RAM
.VAR R_OutMask;

.CODE   
.public _main;
_main:

	INT OFF;
	
	R1 = 0xffff; 
	[P_IOA_Attrib] = R1;
	[P_IOA_Dir] = R1;
	[P_IOA_Data] = R1;
	
	[P_IOB_Attrib] = R1;
	[P_IOB_Dir] = R1;
	[P_IOB_Data] = R1;
	
	[P_IOC_Attrib] = R1;
	[P_IOC_Dir] = R1;
	[P_IOC_Data] = R1;

	R1 = 0x0070; 			//JEnable IRQ6_4KHz, IRQ6_2KHz, IRQ6_1KHz;
	[P_INT_Ctrl] = R1;
	
	R1 = 0;
	[R_OutMask] = R1;
	
	INT IRQ;
    
Loop:
	NOP;
	NOP;
	NOP;
	NOP;
	JMP Loop;