//////////////////////////////////////////////////////////////////
// Function: Generate TMB1, TMB2 IRQ7
// 			 Different frequeny pulses will generate on IOA ports
//			 IOA 0~7 : according to TMB1
//			 IOA 8~15 : according to TMB2
//	
// By Rison Lo
// Platform: SPU32,unSP IDE 1.65, Windows 2000
// Date: 	2003.05.30	:First version
//
//
//////////////////////////////////////////////////////////////////

.include spf32.inc;

.public R_OutMask;

.RAM
.VAR R_OutMask;

.CODE   
.public _main;
_main:

	INT OFF;
	
	R1 = 0xffff; 
	[P_IOA_Attrib] = R1;
	[P_IOA_Dir] = R1;
	[P_IOA_Data] = R1;
	
	[P_IOB_Attrib] = R1;
	[P_IOB_Dir] = R1;
	[P_IOB_Data] = R1;
	
	[P_IOC_Attrib] = R1;
	[P_IOC_Dir] = R1;
	[P_IOC_Data] = R1;	

	R1 = 0x0000;
	[P_Timebase_Setup] = R1;	// TMB2 = 128Hz, TMB1 = 8Hz	

	R1 = 0x000B; 				// Enable IRQ7_TMB1, IRQ7_TMB2, IRQ7_4Hz;
	[P_INT_Ctrl] = R1;
	
	R1 = 0;
	[R_OutMask] = R1;
	
	INT IRQ;
    
Loop:
	NOP;
	NOP;
	NOP;
	NOP;
	JMP Loop;