/***************************************************************************************** 
TimerA/B Test V1.0
Description: This program test the TimerA/B function. Use IOB special function PWM output
	     to see the timer working status.	 
Initial By Rison Lo
             
Platform: SPF32,IDE 1.65 Windows 2000 
Date: 	2003.05.29		:First version     	
 
*****************************************************************************************/
#define Timeclk_32768 	0x0032; //clkA choose 32768Hz
#define Timeclk_8192 	0x0033; //clkA choose 8192Hz
#define Timeclk_4096 	0x0034; //clkA choose 4096Hz
#define Timeclk_2048 	0x0005; //clkB choose 2048Hz
#define Timeclk_1024 	0x000d; //clkB choose 1024Hz
#define Timeclk_256 	0x0015; //clkB choose 256Hz
#define Timeclk_4 		0x0025; //clkB choose 4Hz
#define Timeclk_2 		0x0065; //clkB choose 2HzHz

#define Timepwm_1 		0x0040; //pulse duration 1/16
#define Timepwm_2		0x0080; //pulse duration 2/16
#define Timepwm_3		0x00C0; //pulse duration 3/16
#define Timepwm_4 		0x0100; //pulse duration 4/16
#define Timepwm_5 		0x0140; //pulse duration 5/16
#define Timepwm_6 		0x0180; //pulse duration 6/16
#define Timepwm_7 		0x01C0; //pulse duration 7/16
#define Timepwm_8 		0x0200; //pulse duration 8/16
#define Timepwm_9 		0x0240; //pulse duration 9/16
#define Timepwm_10 		0x0280; //pulse duration 10/16
#define Timepwm_11 		0x02C0; //pulse duration 11/16
#define Timepwm_12 		0x0300; //pulse duration 12/16
#define Timepwm_13 		0x0340; //pulse duration 13/16
#define Timepwm_14 		0x0380; //pulse duration 14/16


int main(){

	int Key = 0;
      	
	User_Init_IO();
	
    SetAPWMPulse(0x0232);
    	   	
	while(1)
	{		
		Key = SP_GetCh();
		switch( Key)
		    {
			case 0x00:
				break;
			case 0x01:				
    			SetAPWMPulse(0x0072);				
				break;
				
			case 0x02:
    			SetAPWMPulse(0x00B2);			
				break;
				
			case 0x04:
    			SetAPWMPulse(0x0132);			
				break;
				
			case 0x08:
    			SetAPWMPulse(0x0332);
				break;
				
			case 0x10:
    			SetBPWMPulse(0x0042);
				break;
				
			case 0x20:
    			SetBPWMPulse(0x0082);
				break;
				
			case 0x40:
    			SetBPWMPulse(0x0102);
				break;
				
			case 0x80:
    			SetBPWMPulse(0x0302);
				break;
				
			default:
				break;																
		    }	
		    System_ServiceLoop();			// Service loop for Key Scanning
	}

	return 0;
}