//////////////////////////////////////////////////////////////////
// IRQ/FIQ Service
//	
// By Rison Lo
// Platform: SPU32,unSP IDE 1.65, Windows 2000
// Date: 	2003.06.02	:First version
//
//
//////////////////////////////////////////////////////////////////
.public _BREAK,_FIQ,_IRQ0,_IRQ1,_IRQ2,_IRQ3,_IRQ4,_IRQ5,_IRQ6,_IRQ7

.external _F_UART_Service		// Defined in UartDrv.asm

.include spf32.inc

.text

			
_BREAK:
			reti
//==================================================			
_FIQ:		
       	reti
//===================================================       	         
_IRQ0:
			reti
_IRQ1:
			reti
_IRQ2:				
			reti
_IRQ3:
			push r1,r5 to [sp]
			r1 = [P_INT_Status]		// P_INT_Status == P_INT_Clear
			test r1, 0x0100;		// Test what source is 
			jz ?IRQ3_Exit
			call _F_UART_Service
?UART_EOI:
			r1 = 0x0100
			[P_INT_Clear] = r1;		// Write back to Clear UART INT			
?IRQ3_Exit:
			pop r1,r5 from [sp]			
			reti
_IRQ4:	
			reti	
_IRQ5:
			reti
_IRQ6:
			reti															
_IRQ7:	
			reti
			retf
			
			
			.END

		


		