//
//	Created and modified by Joe Chen @ CC_SA5 Sunplus
//

#define BAUDRATE_1200	0
#define BAUDRATE_2400   1
#define BAUDRATE_4800	2
#define BAUDRATE_9600   3
#define BAUDRATE_19200	4
#define BAUDRATE_57600	5
#define BAUDRATE_115200	6	
#define BAUDRATE_MIDI	7

void SelfLoopTest();
void InitUart( unsigned short iBaudRate);		
void SendByte( short iData);
short ReadByte();

int main()
{
	unsigned short a=0, b=0;
	InitUart( BAUDRATE_115200);

/**
	while(1)
	{
		SendByte(0xAA);		
	};
 */ 
	SelfLoopTest();	
	
	a = 0xAA;
	b = 0x00;
	
	while(1)
	{
		if(( a=ReadByte()) != -1)
		{
			SendByte(a);	
		};		
	};
	
	return 1;
};


void SelfLoopTest()
{
	short a=0, b=0;
	
	a = 0xff;
	while( a == 0xff)
	{
		a = 0;	b = 0;
		SendByte( 0xAA);
		SendByte( 0x55);
		
		asm("nop");
		while( (a = ReadByte()) == -1){};
		while( (b = ReadByte()) == -1){};
		
		asm("nop");
		a += b;
	};
};