//////////////////////////////////////////////////////////////////
//
//////////////////////////////////////////////////////////////////
.public		image_width_byte
.public		image_high_bit	
.public		image_jumpoff_point_x
.public		image_jumpoff_point_y
.public		image_tab
.public		image_page			
.public		image_bit
.public		image_lcd_data			//read data on lcd	
.public		image_temp_data		
.public		image_tab_pointer
.public     image_clearer
	
.ram
.var		image_width_byte
.var		image_high_bit			
.var		image_jumpoff_point_x
.var		image_jumpoff_point_y
.var		image_tab
.var		image_page			
.var		image_bit
.var		image_lcd_data			//read data on lcd
.var		image_temp_data			//temporarily data
.var		image_tab_pointer		//pointer of tab
.var		image_clearer
.TEXT

.PUBLIC T_String_Table
.PUBLIC T_Font_Table

T_String_Table:
		.dw		_String_Sun
		.dw		_String_Mon
		.dw		_String_Tue
		.dw		_String_Wed
		.dw		_String_Thu
		.dw		_String_Fri
		.dw		_String_Sat

		.dw		_String_Jan
		.dw		_String_Feb
		.dw		_String_Mar
		.dw		_String_Apr
		.dw		_String_May
		.dw		_String_Jun
		.dw		_String_Jul
		.dw		_String_Aug
		.dw		_String_Sep
		.dw		_String_Oct
		.dw		_String_Nov
		.dw		_String_Dec

		.dw		_String_Recording
		.dw		_String_Playing

		.dw		_String_DataEdit
		.dw		_String_DataSearch
		.dw		_String_Minute

		.dw		_String_Voice
		.dw		_String_Command
	

		.dw		_String_Record
		.dw		_String_Empty
		.dw		_String_Full

		.dw		_String_Waiting
		
		.dw     _String_Training

        .dw    _String_Group0_0
        .dw    _String_Group0_1
        .dw    _String_Group0_2
        .dw    _String_Group0_3
        .dw    _String_Group0_4
        .dw    _String_Group0_5
        .dw    _String_Group0_6
        .dw    _String_Group0_7
        .dw    _String_Group0_8
        .dw    _String_Group0_9
        .dw    _String_Group0_10
        .dw    _String_Group0_11
        .dw    _String_Group0_12
        .dw    _String_Group0_am
        .dw    _String_Group0_pm

        .dw    _String_Group1_Jan
        .dw    _String_Group1_Feb
        .dw    _String_Group1_Mar
        .dw    _String_Group1_Apr
        .dw    _String_Group1_May
        .dw    _String_Group1_Jun
        .dw    _String_Group1_Jul
        .dw    _String_Group1_Aug
        .dw    _String_Group1_Sep
        .dw    _String_Group1_Oct
        .dw    _String_Group1_Nov
        .dw    _String_Group1_Dec
				
_String_Sun:
		.dw		'SUN'
		.dw		0xffff		

_String_Mon:
		.dw		'MON'
		.dw		0xffff		

_String_Tue:
		.dw		'TUE'
		.dw		0xffff		

_String_Wed:
		.dw		'WED'
		.dw		0xffff		

_String_Thu:
		.dw		'THU'
		.dw		0xffff		

_String_Fri:
		.dw		'FRI'
		.dw		0xffff		

_String_Sat:
		.dw		'SAT'
		.dw		0xffff		

_String_Jan:
		.dw		'JAN'
		.dw		0xffff		

_String_Feb:
		.dw		'FEB'
		.dw		0xffff		

_String_Mar:
		.dw		'MAR'
		.dw		0xffff		

_String_Apr:
		.dw		'APR'
		.dw		0xffff		

_String_May:
		.dw		'MAY'
		.dw		0xffff		

_String_Jun:
		.dw		'JUN'
		.dw		0xffff		

_String_Jul:
		.dw		'JUL'
		.dw		0xffff		

_String_Aug:
		.dw		'AUG'
		.dw		0xffff		

_String_Sep:
		.dw		'SEP'
		.dw		0xffff		
	
_String_Oct:
		.dw		'OCT'
		.dw		0xffff		

_String_Nov:
		.dw		'NOV'
		.dw		0xffff		

_String_Dec:
		.dw		'DEC'
		.dw		0xffff		


_String_Recording:
		.dw		'RECORDING'
		.dw		0xffff		

_String_Playing:
		.dw		'PLAYING'
		.dw		0xffff		

_String_DataEdit:
		.dw		'DATA EDIT'
		.dw		0xffff		
	
_String_DataSearch:
		.dw		'SERACH'
		.dw		0xffff		

_String_Minute:
		.dw		'MINUTE'
		.dw		0xffff		

_String_Voice:
		.dw		'VOICE'
		.dw		0xffff		

_String_Command:
		.dw		'COMMAND'
		.dw		0xffff		


_String_Record:
		.dw		'RECORD'
		.dw		0xffff		

_String_Empty:
		.dw		'EMPTY'
		.dw		0xffff		

_String_Full:
		.dw		'FULL'
		.dw		0xffff		

_String_Waiting:
		.dw		'WAITING'
		.dw		0xffff		


_String_Training:
		.dw		' TRAINING '
		.dw		0xffff		

_String_Group0_0:
		.dw		'   ZERO   '
		.dw		0xffff		

_String_Group0_1:
		.dw		'   ONE    '
		.dw		0xffff		

_String_Group0_2:
		.dw		'   TWO    '
		.dw		0xffff		

_String_Group0_3:
		.dw		'  THREE   '
		.dw		0xffff		

_String_Group0_4:
		.dw		'   FOUR   '
		.dw		0xffff		

_String_Group0_5:
		.dw		'   FIVE   '
		.dw		0xffff		

_String_Group0_6:
		.dw		'   SIX    '
		.dw		0xffff		

_String_Group0_7:
		.dw		'  SEVEN   '
		.dw		0xffff		

_String_Group0_8:
		.dw		'  EIGHT   '
		.dw		0xffff		

_String_Group0_9:
		.dw		'   NINE   '
		.dw		0xffff		

_String_Group0_10:
		.dw		'   TEN    '
		.dw		0xffff		

_String_Group0_11:
		.dw		'  ELEVEN  '
		.dw		0xffff		

_String_Group0_12:
		.dw		'  TWELVE  '
		.dw		0xffff		

_String_Group0_am:
		.dw		'   A.M.   '
		.dw		0xffff		

_String_Group0_pm:
		.dw		'   P.M.   '
		.dw		0xffff		

_String_Group1_Jan:
		.dw		' JANUARY  '
		.dw		0xffff		

_String_Group1_Feb:
		.dw		' FEBURARY '
		.dw		0xffff		

_String_Group1_Mar:
		.dw		'  MARCH   '
		.dw		0xffff		

_String_Group1_Apr:
		.dw		'  APRIL   '
		.dw		0xffff		

_String_Group1_May:
		.dw		'   MAY    '
		.dw		0xffff		

_String_Group1_Jun:
		.dw		'   JUNE   '
		.dw		0xffff		

_String_Group1_Jul:
		.dw		'   JULY   '
		.dw		0xffff		

_String_Group1_Aug:
		.dw		'  AUGUST  '
		.dw		0xffff		

_String_Group1_Sep:
		.dw		' SEPTEMBER'
		.dw		0xffff		

_String_Group1_Oct:
		.dw		' OCTOBER  '
		.dw		0xffff		

_String_Group1_Nov:
		.dw		' NOVEMBER '
		.dw		0xffff		

_String_Group1_Dec:
		.dw		' DECEMBER '
		.dw		0xffff		


T_Font_Table:
        .dw      _Normal_Char_Space                 //;20
        .dw      _Normal_Char_Exclemation           //;21
        .dw      _Normal_Char_Double_Quote          //;22
        .dw      _Normal_Char_Cross                 //;23
        .dw      _Normal_Char_Dollar                //;24
        .dw      _Normal_Char_Percent               //;25
        .dw      _Normal_Char_And                   //;26
        .dw      _Normal_Char_Single_Quote          //;27
        .dw      _Normal_Char_Left_Bracket          //;28
        .dw      _Normal_Char_Right_Bracket         //;29
        .dw      _Normal_Char_Star                  //;2A
        .dw      _Normal_Char_Plus                  //;2B
        .dw      _Normal_Char_Comma                 //;2C
        .dw      _Normal_Char_Minus                 //;2D
        .dw      _Normal_Char_Dot                   //;2E
        .dw      _Normal_Char_Slash                 //;2F
        .dw      _Normal_Char_0                     //;30
        .dw      _Normal_Char_1                     //;31
        .dw      _Normal_Char_2                     //;32
        .dw      _Normal_Char_3                     //;33
        .dw      _Normal_Char_4                     //;34
        .dw      _Normal_Char_5                     //;35
        .dw      _Normal_Char_6                     //;36
        .dw      _Normal_Char_7                     //;37
        .dw      _Normal_Char_8                     //;38
        .dw      _Normal_Char_9                     //;39
        .dw      _Normal_Char_Colon                 //;3A
        .dw      _Normal_Char_Separate              //;3B
        .dw      _Normal_Char_Smaller               //;3C
        .dw      _Normal_Char_Equal                 //;3D
        .dw      _Normal_Char_Bigger                //;3E
        .dw      _Normal_Char_Question              //;3F
        .dw      _Normal_Char_Dollar_Eng            //;40
        .dw      _Normal_Char_A                     //;41
        .dw      _Normal_Char_B                     //;42
        .dw      _Normal_Char_C                     //;43
        .dw      _Normal_Char_D                     //;44
        .dw      _Normal_Char_E                     //;45
        .dw      _Normal_Char_F                     //;46
        .dw      _Normal_Char_G                     //;47
        .dw      _Normal_Char_H                     //;48
        .dw      _Normal_Char_I                     //;49
        .dw      _Normal_Char_J                     //;4A
        .dw      _Normal_Char_K                     //;4B
        .dw      _Normal_Char_L                     //;4C
        .dw      _Normal_Char_M                     //;4D
        .dw      _Normal_Char_N                     //;4E
        .dw      _Normal_Char_O                     //;4F
        .dw      _Normal_Char_P                     //;50
        .dw      _Normal_Char_Q                     //;51
        .dw      _Normal_Char_R                     //;52
        .dw      _Normal_Char_S                     //;53
        .dw      _Normal_Char_T                     //;54
        .dw      _Normal_Char_U                     //;55
        .dw      _Normal_Char_V                     //;56
        .dw      _Normal_Char_W                     //;57
        .dw      _Normal_Char_X                     //;58
        .dw      _Normal_Char_Y                     //;59
        .dw      _Normal_Char_Z                     //;5A


_Normal_Char_0:
						.dw		_Normal_Char_0
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10011000b
                        .dw     10101000b
                        .dw     11001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_1:
						.dw		_Normal_Char_1
                        .dw     00100000b
                        .dw     01100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_2:
						.dw		_Normal_Char_2
                        .dw     01110000b
                        .dw     10001000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     11111000b
                        .dw     00000000b
_Normal_Char_3:
						.dw		_Normal_Char_3
                        .dw     11111000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     00010000b
                        .dw     00001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_4:
						.dw		_Normal_Char_4
                        .dw     00010000b
                        .dw     00110000b
                        .dw     01010000b
                        .dw     10010000b
                        .dw     11111000b
                        .dw     00010000b
                        .dw     00010000b
                        .dw     00000000b
_Normal_Char_5:
						.dw		_Normal_Char_5
                        .dw     11111000b
                        .dw     10000000b
                        .dw     11110000b
                        .dw     00001000b
                        .dw     00001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_6:
						.dw		_Normal_Char_6
                        .dw     00110000b
                        .dw     01000000b
                        .dw     10000000b
                        .dw     11110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_7:
						.dw		_Normal_Char_7
                        .dw     11111000b
                        .dw     10001000b
                        .dw     00010000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_8:
						.dw		_Normal_Char_8
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_9:
						.dw		_Normal_Char_9
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01111000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     01100000b
                        .dw     00000000b
_Normal_Char_Space:
						.dw		_Normal_Char_Space
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_A:
						.dw		_Normal_Char_A
                        .dw     00100000b
                        .dw     01010000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11111000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_B:
						.dw		_Normal_Char_B
                        .dw     11110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11110000b
                        .dw     00000000b
_Normal_Char_C:
						.dw		_Normal_Char_C
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_D: 
						.dw		_Normal_Char_D
                        .dw     11100000b
                        .dw     10010000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10010000b
                        .dw     11100000b
                        .dw     00000000b
_Normal_Char_E:
						.dw		_Normal_Char_E
                        .dw     11111000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     11110000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     11111000b
                        .dw     00000000b
_Normal_Char_F:
						.dw		_Normal_Char_F
                        .dw     11111000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     11110000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     00000000b
_Normal_Char_G:
						.dw		_Normal_Char_G
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10000000b
                        .dw     10111000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01111000b
                        .dw     00000000b
_Normal_Char_H:
						.dw		_Normal_Char_H
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11111000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_I: 
						.dw		_Normal_Char_I
                        .dw     01110000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_J:
						.dw		_Normal_Char_J
                        .dw     01111000b
                        .dw     00010000b
                        .dw     00010000b
                        .dw     00010000b
                        .dw     00010000b
                        .dw     10010000b
                        .dw     01100000b
                        .dw     00000000b
_Normal_Char_K: 
						.dw		_Normal_Char_K
                        .dw     10001000b
                        .dw     10010000b
                        .dw     10100000b
                        .dw     11000000b
                        .dw     10100000b
                        .dw     10010000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_L:
						.dw		_Normal_Char_L
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     11111000b
                        .dw     00000000b
_Normal_Char_M:
						.dw		_Normal_Char_M
                        .dw     10001000b
                        .dw     11011000b
                        .dw     10101000b
                        .dw     10101000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_N:
						.dw		_Normal_Char_N
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11001000b
                        .dw     10101000b
                        .dw     10011000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_O:
						.dw		_Normal_Char_O
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_P:
						.dw		_Normal_Char_P
                        .dw     11110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11110000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     00000000b
_Normal_Char_Q:
						.dw		_Normal_Char_Q
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10101000b
                        .dw     10010000b
                        .dw     01101000b
                        .dw     00000000b
_Normal_Char_R:
						.dw		_Normal_Char_R
                        .dw     11110000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     11110000b
                        .dw     10100000b
                        .dw     10010000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_S:
						.dw		_Normal_Char_S
                        .dw     01110000b
                        .dw     10001000b
                        .dw     10000000b
                        .dw     01110000b
                        .dw     00001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_T:
						.dw		_Normal_Char_T
                        .dw     11111000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_U:
						.dw		_Normal_Char_U
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01110000b
                        .dw     00000000b
_Normal_Char_V:
						.dw		_Normal_Char_V
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01010000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_W:
						.dw		_Normal_Char_W
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     10101000b
                        .dw     10101000b
                        .dw     10101000b
                        .dw     01010000b
                        .dw     00000000b
_Normal_Char_X:
						.dw		_Normal_Char_X
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01010000b
                        .dw     00100000b
                        .dw     01010000b
                        .dw     10001000b
                        .dw     10001000b
                        .dw     00000000b
_Normal_Char_Y:
						.dw		_Normal_Char_Y
                        .dw     10001000b
                        .dw     10001000b
                        .dw     01010000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_Z:
						.dw		_Normal_Char_Z
                        .dw     11111000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     10000000b
                        .dw     11111000b
                        .dw     00000000b

_Normal_Char_Dollar_Eng:
						.dw		_Normal_Char_Dollar_Eng
                        .dw     00110000b
                        .dw     01001000b
                        .dw     01000000b
                        .dw     11111000b
                        .dw     01000000b
                        .dw     01000000b
                        .dw     11111000b
                        .dw     00000000b
_Normal_Char_Exclemation:
						.dw		_Normal_Char_Exclemation
                        .dw     00000000b
                        .dw     00010000b
                        .dw     00111000b
                        .dw     00111000b
                        .dw     00010000b
                        .dw     00000000b
                        .dw     00010000b
                        .dw     00000000b
_Normal_Char_Slash:
						.dw		_Normal_Char_Slash
                        .dw     00000000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     10000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Single_Quote:
						.dw		_Normal_Char_Single_Quote
                        .dw     00110000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Double_Quote:
						.dw		_Normal_Char_Double_Quote
                        .dw     11011000b
                        .dw     01001000b
                        .dw     10010000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Hyphen:
						.dw		_Normal_Char_Hyphen
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     01110000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Dot:
						.dw		_Normal_Char_Dot
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00110000b
                        .dw     00110000b
                        .dw     00000000b
_Normal_Char_Comma:
						.dw		_Normal_Char_Comma
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     01100000b
                        .dw     01100000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     00000000b
_Normal_Char_Colon:
						.dw		_Normal_Char_Colon
                        .dw     00000000b
                        .dw     00110000b
                        .dw     00110000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00110000b
                        .dw     00110000b
                        .dw     00000000b
_Normal_Char_Separate:
						.dw		_Normal_Char_Separate
                        .dw     00110000b
                        .dw     00110000b
                        .dw     00000000b
                        .dw     00110000b
                        .dw     00110000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_Cross:
						.dw		_Normal_Char_Cross
                        .dw     00000000b
                        .dw     01001000b
                        .dw     11111100b
                        .dw     01001000b
                        .dw     01001000b
                        .dw     11111100b
                        .dw     01001000b
                        .dw     00000000b
_Normal_Char_Dollar:
						.dw		_Normal_Char_Dollar
                        .dw     00010000b
                        .dw     00111000b
                        .dw     01010100b
                        .dw     00110000b
                        .dw     00011000b
                        .dw     01010100b
                        .dw     00111000b
                        .dw     00010000b
_Normal_Char_Percent:
						.dw		_Normal_Char_Percent
                        .dw     00100000b
                        .dw     01010100b
                        .dw     00101000b
                        .dw     00010000b
                        .dw     00101000b
                        .dw     01010100b
                        .dw     00001000b
                        .dw     00000000b
_Normal_Char_Smaller:
						.dw		_Normal_Char_Smaller
                        .dw     00001000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     00100000b
                        .dw     00010000b
                        .dw     00001000b
                        .dw     00000000b
_Normal_Char_Bigger:
						.dw		_Normal_Char_Bigger
                        .dw     10000000b
                        .dw     01000000b
                        .dw     00100000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     01000000b
                        .dw     10000000b
                        .dw     00000000b

_Normal_Char_Equal:
						.dw		_Normal_Char_Equal
                        .dw     00000000b
                        .dw     00000000b
                        .dw     11111000b
                        .dw     00000000b
                        .dw     11111000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_And:
						.dw		_Normal_Char_And
                        .dw     01100000b
                        .dw     10010000b
                        .dw     01010000b
                        .dw     01100000b
                        .dw     10010100b
                        .dw     10001000b
                        .dw     01110100b
                        .dw     00000000b
_Normal_Char_Star:
						.dw		_Normal_Char_Star
                        .dw     00000000b
                        .dw     10001000b
                        .dw     01010000b
                        .dw     11111000b
                        .dw     01010000b
                        .dw     10001000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Left_Bracket:
						.dw		_Normal_Char_Left_Bracket
                        .dw     00110000b
                        .dw     01000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     10000000b
                        .dw     01000000b
                        .dw     00110000b
                        .dw     00000000b
_Normal_Char_Right_Bracket:
						.dw		_Normal_Char_Right_Bracket
                        .dw     01100000b
                        .dw     00010000b
                        .dw     00001000b
                        .dw     00001000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     01100000b
                        .dw     00000000b
_Normal_Char_Plus:
						.dw		_Normal_Char_Plus
                        .dw     00000000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     11111000b
                        .dw     00100000b
                        .dw     00100000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Minus:
						.dw		_Normal_Char_Minus
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     11111000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b

_Normal_Char_Multi:
						.dw		_Normal_Char_Multi
                        .dw     00000000b
                        .dw     10001000b
                        .dw     01010000b
                        .dw     00100000b
                        .dw     01010000b
                        .dw     10001000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Division:
						.dw		_Normal_Char_Division
                        .dw     00000000b
                        .dw     00100000b
                        .dw     00000000b
                        .dw     11111000b
                        .dw     00000000b
                        .dw     00100000b
                        .dw     00000000b
                        .dw     00000000b
_Normal_Char_Question:
						.dw		_Normal_Char_Question
                        .dw     01110000b
                        .dw     10001000b
                        .dw     00001000b
                        .dw     00010000b
                        .dw     00100000b
                        .dw     00000000b
                        .dw     00100000b
                        .dw     00000000b
_Normal_Char_Under_Line:
						.dw		_Normal_Char_Under_Line
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     00000000b
                        .dw     11111000b
                        .dw     00000000b

