/*
 * string.h
 *
 * Definitions for memory and string functions.
 */
 
#ifndef _STRING_H_
#define	_STRING_H_

#ifdef __cplusplus
extern "C" {
#endif


#ifndef _SIZE_T				//2004-4-28 add by wenyan	
#define _SIZE_T
typedef unsigned long size_t;	
#endif

#ifndef NULL
#define NULL 0
#endif 

extern int    memcmp(const void *,const void *,size_t);
extern void  *memcpy(void *,const void *,size_t);
extern void  *memmove(void *,const void *,size_t);
extern void  *memset(void *,int,size_t);

extern char  *strcat(char *,const char *);
extern char  *strchr(const char *, int);
extern int    strcmp(const char *,const char *);
extern char  *strcpy(char *,const char *);
extern char  *strerror(int);						
extern size_t strlen(const char *);
extern int    strncmp(const char *, const char *, size_t);
extern char  *strncpy(char *, const char *, size_t);
extern char  *strstr(const char *, const char *);
extern char  *strupr(char*);


#ifdef __cplusplus
}
#endif
#endif /* _STRING_H_ */

