/* ========================================================================= */
/* The information contained herein is the exclusive property of             */
/* Sunplus Technology Co. And shall not be distributed, reproduced,          */
/* or disclosed in whole in part without prior written permission.           */
/*             (C) COPYRIGHT 2001 SUNPLUS TECHNOLOGY CO.                     */
/*                    ALL RIGHTS RESERVED                                    */
/* The entire notice above must be reproduced on all authorized copies.      */
/* ========================================================================= */
/* File Name   : Spmc75_main.c											     */	
/* Description : main entry function of C programming					     */
/* Processor   : SPMC75X series											     */	
/* Author      : Chih ming Huang										     */
/* Tools	   : u'nSP IDE tools v2.0A or later version				     	 */
/* Version     : 1.00 													     */	
/* Security    : Confidential Proprietary 							         */
/* E-Mail      : MaxHuang@sunplus.com.tw								     */
/* ========================================================================= */
/* Environemnts of this demo:												 */								
/* HW : SPMC75F2313A EVM Board V1.1									 		 */
/* SW : u'nSP IDE V2.0A, Windows XP 										 */
/* ========================================================================= */

#include "spmc75f2313a.h"
#include "spmc_typedef.h"
#include "unspmacro.h"

extern void Init_MCP4_Timer(void);

int main(void)
{
	Disable_FIQ_IRQ();

	Init_MCP4_Timer(); 								 
	P_TMR_Output->W = 0x3F00;			// enable MCP4 timer PWM output
	
	INT_IRQ();					     	// enable IRQ channel interrupt
	
	P_TMR_Start->W =  CW_TMR_TMR4ST_Start;					   /* start TMR4 */

	while(1);

	return (1);	
} /* main() */

