/* ========================================================================= */
/* File Name   : Spmc75f_iic.h											     */	
/* Project     : SPMC75F2413A chip verification							     */
/* Description : 24C01 IIC driver									     	 */
/* Processor   : SPMC75F series											     */	
/* Author      : Chih ming Huang										     */
/* Date        : May 2004												     */
/* Tools	   : u'nSP IDE tools v1.14.1								     */
/* Version     : 1.00 													     */	
/* Security    : Confidential Proprietary 							         */
/* E-Mail      : MaxHuang@sunplus.com.tw								     */
/* ========================================================================= */
#ifndef __SPMC75_IIC_EXT_H
#define __SPMC75_IIC_EXT_H

/*****************************************************************************/
/* External function prototypde declaration									 */
/*****************************************************************************/
extern void    MC75F_IIC_Init(void);
extern void    MC75F_IIC_Write_NByte(UInt16 ADDR,UInt16 *Data,int Number);
extern void    MC75F_IIC_Read_NByte(UInt16 ADDR,UInt16 *Data,int Number);

extern void    MC75F_IIC_Write_B(UInt16 ADDR,UInt16 Data);
extern UInt16  MC75F_IIC_Read_B(UInt16 ADDR);

#endif /* #ifndef __SPMC75_IIC_EXT_H */