//main.c

#include "ParamDef.h"
#include "unspmacro.h"
#include "SPMC75F2413A.h"

unsigned int	uiAdcData[8] = {0, 0, 0, 0, 0, 0, 0, 0};
unsigned int	i;

int main()
{
	Disable_FIQ_IRQ();
	
	/* ADC Init */
	P_ADC_Setup->W = CW_ADC_ADCCS_Select + CW_ADC_ADCEN + ADC_CLK;
	P_ADC_Channel-> W = 1 << ADC_Ch;
	P_ADC_Ctrl->W = CW_ADC_ADCIF + CW_ADC_ADCIE + CW_ADC_ADCSTR + ADC_Ch;
	
	INT_IRQ();
	
	while(i < 8);	
	
	P_ADC_Ctrl->B.ADCIE = ~CB_ADC_ADCIE;		// Disable ADC interrupt
	P_ADC_Setup->B.ADCEN = ~CB_ADC_ADCEN;		// Disable AD Converter	

	return 1;
}

void IRQ7() __attribute__((ISR));
void IRQ7()
{
	if(P_ADC_Ctrl->B.ADCIF)
	{
		P_ADC_Ctrl->B.ADCIF = CB_ADC_ADCIF;				// Clear ADC interrupt flag
		uiAdcData[i] = (P_ADC_Data->W >> 6) & 0x03ff;	// Read AD conversion data
		if(++i < 8)
			P_ADC_Ctrl->B.ADCSTR = CB_ADC_ADCSTR;		// Start ADC
	}
}	
		
		