//main.c

#include "ParamDef.h"
#include "unspmacro.h"
#include "SPMC75F2413A.h"

unsigned int	uiAdcData[8] = {0, 0, 0, 0, 0, 0, 0, 0};
unsigned int	i;

int main()
{
	Disable_FIQ_IRQ();
	
	/* ADC Init */
	P_ADC_Setup->W = CW_ADC_ADCCS_Select + CW_ADC_ADCEN + ADC_CLK;
	P_ADC_Ctrl->W = CW_ADC_ADCIF + ADC_Ch;
	P_ADC_Channel-> W = 1 << ADC_Ch;
	
	INT_IRQ();
	
	for(i = 0; i <8; i++)
	{
		P_ADC_Ctrl->B.ADCSTR = 1;						// ADC Start
		while(!P_ADC_Ctrl->B.ADCRDY);					// Check if ADC is ready
		uiAdcData[i] = (P_ADC_Data->W >> 6) & 0x03ff;	// Read AD conversion data
	}		

	P_ADC_Setup->B.ADCEN = ~CB_ADC_ADCEN;				// Disable AD converter			

	return 1;
}
