//main.c

#include "ParamDef.h"
#include "TimerPeriod.h"
#include "unspmacro.h"
#include "SPMC75F2413A.h"

int main()
{
	Disable_FIQ_IRQ();
	
	/* IO Init */
	P_IOD_Dir->W = 0x00ff;
	P_IOD_Attrib->W = 0x00ff;
	P_IOD_Data->W = 0x0000;

	/* CMT0 Init */
	P_CMT_Ctrl->W = CW_CMT0_INT_EN + Timer_Prescalar;
	P_CMT0_TPR->W = Timer_Period;	
	P_CMT_Start->B.ST0 = 1;		// Start CMT0
	
	INT_IRQ();
	
	while(1);
	
	return 1;
}

void IRQ7(void)	__attribute__ ((ISR));
void IRQ7(void)
{
	if(P_CMT_Ctrl->B.CM0IF)
	{
		P_CMT_Ctrl->B.CM0IF = 1;				// Clear interrupt flag
		
		P_IOD_Data->W ^= 0x00ff;				// Toggle IOD[7:0]		
	}
}		
	
