//isr.c
#include "SPMC75F2413A.h"
extern unsigned int SW_Pos;
extern unsigned int Duty;

void BREAK(void) __attribute__ ((ISR));

void FIQ(void) __attribute__ ((ISR));

void IRQ0(void) __attribute__ ((ISR));

void IRQ1(void) __attribute__ ((ISR));

void IRQ2(void) __attribute__ ((ISR));

void IRQ3(void) __attribute__ ((ISR));

void IRQ4(void) __attribute__ ((ISR));

void IRQ5(void) __attribute__ ((ISR));

void IRQ6(void) __attribute__ ((ISR));

void IRQ7(void) __attribute__ ((ISR));




void BREAK(void)
{
	//add your code here

}

void FIQ(void)
{
	if(P_INT_Status->B.FTIF)
	{
		if(P_Fault2_Ctrl->B.FTPINIF)
		{
			P_Fault2_Release->W = 0x55aa;
			P_Fault2_Release->W = 0xaa55;		// Clear fault input pin 2 flag
			P_Fault2_Ctrl->B.FTPINE = 1;		// Re-enable fault input pin 2	
		}	
	}

}


void IRQ0(void)
{
	if(P_INT_Status->B.FTIF)
	{
		if(P_Fault2_Ctrl->B.FTPINIF)
		{
			P_Fault2_Release->W = 0x55aa;
			P_Fault2_Release->W = 0xaa55;		// Clear fault input pin 2 flag
			P_Fault2_Ctrl->B.FTPINE = 1;		// Re-enalbe fault input pin 2	
		}	
	}
}

void IRQ1(void)
{
	//add your code here

}

void IRQ2(void)
{
	//add your code here

}

void IRQ3(void)
{
	if(P_TMR4_Status->B.TPRIF)
	{
		P_TMR4_Status->B.TPRIF = 1;				// Clear interrupt flag
		
		if(P_OL2_Ctrl->B.OLST)					// Overload protection occured?
		{
			// Record the over-loading event history, then execute the necessary tasks.
		}
			
		P_TMR4_TGRA->W = Duty;
		P_TMR_LDOK->W = CW_TMR_LDOK1;
		switch(SW_Pos)
		{
			case 1:
				P_TMR4_OutputCtrl->B.UPWM = 0;			
				P_TMR4_OutputCtrl->B.UOC = 0;			  		
					
				P_TMR4_OutputCtrl->B.VPWM = 0;
				P_TMR4_OutputCtrl->B.VOC = 1;			   
					
				P_TMR4_OutputCtrl->B.WPWM = 1;
				P_TMR4_OutputCtrl->B.WOC = 2;		    
				break;
				
			case 2:
				P_TMR4_OutputCtrl->B.UPWM = 0;
				P_TMR4_OutputCtrl->B.UOC = 2;					
				
				P_TMR4_OutputCtrl->B.VPWM = 1;
				P_TMR4_OutputCtrl->B.VOC = 1;					
					
				P_TMR4_OutputCtrl->B.WPWM = 0;		    
				P_TMR4_OutputCtrl->B.WOC = 0;		       
				break;
				
			case 3:	
				P_TMR4_OutputCtrl->B.UPWM = 1;
				P_TMR4_OutputCtrl->B.UOC = 2;			 
					
				P_TMR4_OutputCtrl->B.VPWM = 0;
				P_TMR4_OutputCtrl->B.VOC = 0;			 		
						
				P_TMR4_OutputCtrl->B.WPWM = 0;		    
				P_TMR4_OutputCtrl->B.WOC = 1;		     
				break;	
			
			case 4:	
				P_TMR4_OutputCtrl->B.UPWM = 0;
				P_TMR4_OutputCtrl->B.UOC = 0;			   
					
				P_TMR4_OutputCtrl->B.VPWM = 0;
				P_TMR4_OutputCtrl->B.VOC = 2;			 
					
				P_TMR4_OutputCtrl->B.WPWM = 1;		    
				P_TMR4_OutputCtrl->B.WOC = 1;		       
				break;	
			
			case 5:	
				P_TMR4_OutputCtrl->B.UPWM = 0;
				P_TMR4_OutputCtrl->B.UOC = 1;			   
					
				P_TMR4_OutputCtrl->B.VPWM = 1;
				P_TMR4_OutputCtrl->B.VOC = 2;			 
					
				P_TMR4_OutputCtrl->B.WPWM = 0;		    
				P_TMR4_OutputCtrl->B.WOC = 0;		       
				break;	
			
			case 6:	
				P_TMR4_OutputCtrl->B.UPWM = 1;
				P_TMR4_OutputCtrl->B.UOC = 1;			   
				
				P_TMR4_OutputCtrl->B.VPWM = 0;
				P_TMR4_OutputCtrl->B.VOC = 0;			   
					
				P_TMR4_OutputCtrl->B.WPWM = 0;		    
				P_TMR4_OutputCtrl->B.WOC = 2;		     
				break;	
		}
	}
}

void IRQ4(void)
{
	//add your code here

}

void IRQ5(void)
{
	//add your code here

}

void IRQ6(void)
{
	//add your code here

}

void IRQ7(void)
{
	if(P_CMT_Ctrl->B.CM0IF)
	{
		P_CMT_Ctrl->B.CM0IF = 1;

		if(++SW_Pos > 6)
			SW_Pos = 1;
	}
}
