//main.c

#include "ParamDef.h"
#include "unspmacro.h"
#include "SPMC75F2413A.h"

unsigned int 	Period_Buf[8] = {0, 0, 0, 0, 0, 0, 0, 0};
unsigned int	PulseWidth_Buf[8] = {0, 0, 0, 0, 0, 0, 0, 0};
unsigned int	i = 0;

int main()
{
	Disable_FIQ_IRQ();
	
	/* I/O Init */
	P_IOA_SPE->B.TIO2AEN = 1;
	P_IOA_Dir->B.bit9 = 0;

	/* TPM2 Init */
	P_TMR2_Ctrl->W = CW_TMR2_CLEGS_Falling + CW_TMR2_CCLS_TGRA + Timer_Prescalar;
	P_TMR2_IOCtrl->W = Int_Edge;
	P_TMR2_INT->W = CW_TMR2_TGAIE_Enable;
	P_TMR_Start->W = CW_TMR_TMR2ST_Start;
	
	INT_IRQ();
	
	while(i < 8);
	
	P_TMR2_INT->B.TGAIE = ~CB_TMR2_TGAIE_Enable;	// Disable interrupt request by TGRA
	
	return 0;
}

void IRQ4(void)	__attribute__ ((ISR));
void IRQ4(void)
{
	if(P_TMR2_Status->B.TGAIF)
	{
		P_TMR2_Status->B.TGAIF = 1;					// Clear interrupt flag
				
		Period_Buf[i] = P_TMR2_TBRA->W;
		PulseWidth_Buf[i] = Period_Buf[i] - P_TMR2_TGRA->W;
		
		i++;
	}
}		
		